package com.ningdatech.pmapi.user.security.auth.errorcode;


import com.ningdatech.pmapi.common.errorcode.AppErrorCode;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author LiuXinXin
 * @date 2021/7/30 上午10:59
 */

@AllArgsConstructor
@Getter
public enum AuthErrorCodeEnum {

    USERNAME_OR_PASSWORD_ERROR(AppErrorCode.AUTH.getCode() + "100000"
            , "登陆时用户名或者密码错误"),

    ACCOUNT_ALREADY_EXIST_WHEN_REGISTER(AppErrorCode.AUTH.getCode() + "100001"
            , "账号已经存在"),

    SESSION_EXPIRED(AppErrorCode.AUTH.getCode() + "100002"
            , "用户session过期，登陆状态失效");


    private final String code;

    private final String msg;

    public Integer getCode() {
        return Integer.valueOf(code);
    }
}
